<?php
/**
 * Internationalisation file for PageProtection extension. (encoding: UTF-8)
 *
 * @package MediaWiki
 * @subpackage Extensions
*/


/**
 * note for translators
 *
 * ProtectedSite and ProtectedSiteEditing can have 3 substitutions:
 *               $1 will change into base namespace (taken from $wgSitename)
 *               $2 will change into list of the allowed users
 *               $3 will change into list of the allowed groups
 *
 * Hovever it is also nice to use the templates. See INSTALL for more info.
 */

$wgPageProtectionMessages = array();

$wgPageProtectionMessages['en'] = array(
	'ProtectedTitle'	=> 'Page is protected',
	'ProtectedSite'		=> 'This area is [[$1:Page Protection|protected]]. You are not allowed to read or edit this area.<br/>' . "\n" . '* Allowed users: $2 <br/>' . "\n" . '* Allowed groups: $3 <br/>',
	'ProtectedSiteEditing'	=> 'This page is [[$1:Page Protection|protected]]. You are not allowed to edit this page.<br/>' . "\n" . '* Allowed users: $2 <br/>' . "\n" . '* Allowed groups: $3 <br/>',
);

$wgPageProtectionMessages['pl'] = array(
	'ProtectedTitle'	=> 'Strona zabezpieczona',
	'ProtectedSite'		=> '{{ProtectedSite_pl}}',
	'ProtectedSiteEditing'	=> '{{ProtectedSiteEditing_pl}}',
);

//$wgRenameuserMessages['zh-hk'] = $wgRenameuserMessages['zh-tw'];
//$wgRenameuserMessages['zh-sg'] = $wgRenameuserMessages['zh-cn'];
?>
